### Method

# Gimp Config serialize

since: 2.8

#### Declaration [src]

    gboolean
    gimp_config_serialize (
      GimpConfig* config,
      GimpConfigWriter* writer,
      gpointer data
    )

#### Description [src]

Serialize the `GimpConfig` object.

Available since: 2.8

#### Parameters

`writer`

  Type: `GimpConfigWriter`

  The `GimpConfigWriter` to use.

  The data is owned by the caller of the method.

`data`

  Type: `gpointer`

  Client data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether serialization succeeded.